Update discount
curl --request POST \
--url https://demo.onlinebillingform.com/api/v2/marketing/update-discount \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"discount_id": 123,
"minimum_value": 123,
"discount_value": 123,
"start": "2023-12-25",
"type": 123,
"uses": "<string>",
"end": "2023-12-25",
"selected_packages": "<string>"
}
'import requests
url = "https://demo.onlinebillingform.com/api/v2/marketing/update-discount"
payload = {
"discount_id": 123,
"minimum_value": 123,
"discount_value": 123,
"start": "2023-12-25",
"type": 123,
"uses": "<string>",
"end": "2023-12-25",
"selected_packages": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
discount_id: 123,
minimum_value: 123,
discount_value: 123,
start: '2023-12-25',
type: 123,
uses: '<string>',
end: '2023-12-25',
selected_packages: '<string>'
})
};
fetch('https://demo.onlinebillingform.com/api/v2/marketing/update-discount', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"success": false,
"errors": "Invalid API Key"
}{
"success": false,
"errors": "Insufficient permissions for this endpoint."
}{
"success": false,
"errors": {
"id": [
"The id field is required."
]
}
}Marketing
Update discount
POST
/
marketing
/
update-discount
Update discount
Authorizations
Use Authorization: Bearer <live_api_key>.
Body
application/jsonapplication/x-www-form-urlencoded
Response
OK
⌘I